pod search XXXX 搜索不到想要的三方库

字数 227阅读 178

我自己的cocoapod的版本是1.0.1

通过

首先查看ruby是否是最新版的。ruby是通过rvm安装的所以需要先安装rvm后查看ruby是否是最新的(通过查看ruby版本列表来判断),在终端需要中输入以下命令:

安装RVM.RVM:Ruby Version Manager,Ruby版本管理器,包括Ruby的版本管理和Gem库管理(gemset)

curl -L get.rvm.io | bash -s stable

等待一段时间后就可以成功安装好 RVM

source ~/.bashrc

source ~/.bash_profile

测试是否安装正常

rvm -v

把rvm安装了,然后发现我的pod search 就能够搜索出自己想要的三方库

并且我的ruby的版本不是最新的版本,是2.0.0的,最新的版本是2.6.4,这个问题和ruby的版本没关系,纸盒rvm的安装有关系

推荐阅读更多精彩内容